[Xfce4-commits] [xfce/xfce4-dev-tools] 01/03: Cleanup xfce4-dev-tools
noreply at xfce.org
noreply at xfce.org
Thu Jun 20 18:03:13 CEST 2019
This is an automated email from the git hooks/post-receive script.
s k u n n y k p u s h e d a c o m m i t t o b r a n c h m a s t e r
in repository xfce/xfce4-dev-tools.
commit 7814d31d6c909e9fc65ba4340e7efe4c76cd7c73
Author: Romain Bouvier <skunnyk at alteroot.org>
Date: Thu May 23 16:57:55 2019 +0200
Cleanup xfce4-dev-tools
- Remove useless macros: m4macros/xdt-python.m4 and m4macros/xdt-xfce.m4
are not used
- Update URLs
- Remove xdt-commit, used to generate Changelog, now done via make
distcheck
---
autogen.sh | 2 +-
configure.ac.in | 4 +-
m4macros/Makefile.am | 4 +-
m4macros/xdt-depends.m4 | 4 +-
m4macros/xdt-python.m4 | 80 ----------------------------
m4macros/xdt-xfce.m4 | 61 ----------------------
scripts/Makefile.am | 6 +--
scripts/xdt-commit | 136 ------------------------------------------------
8 files changed, 7 insertions(+), 290 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index eec9302..bc701f4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright (c) 2002-2010
+# Copyright (c) 2002-2019
# The Xfce development team. All rights reserved.
#
# Written for Xfce by Benedikt Meurer <benny at xfce.org>.
diff --git a/configure.ac.in b/configure.ac.in
index a713d86..dc8d50a 100644
--- a/configure.ac.in
+++ b/configure.ac.in
@@ -25,8 +25,8 @@ dnl ***************************
dnl *** Initialize autoconf ***
dnl ***************************
AC_INIT([xfce4-dev-tools], [xdt_version],
- [http://bugzilla.xfce.org/enter_bug.cgi?product=Xfce4-dev-tools])
-AC_COPYRIGHT([Copyright (c) 2002-2015 The Xfce development team. All rights reserved.])
+ [https://bugzilla.xfce.org/enter_bug.cgi?product=Xfce4-dev-tools])
+AC_COPYRIGHT([Copyright (c) 2002-2019 The Xfce development team. All rights reserved.])
AC_CONFIG_MACRO_DIR([m4])
AC_REVISION([xdt_version_build])
diff --git a/m4macros/Makefile.am b/m4macros/Makefile.am
index fb1a489..caa4316 100644
--- a/m4macros/Makefile.am
+++ b/m4macros/Makefile.am
@@ -8,9 +8,7 @@ macrodir = $(datadir)/xfce4/dev-tools/m4macros
macro_DATA = \
xdt-depends.m4 \
xdt-features.m4 \
- xdt-i18n.m4 \
- xdt-python.m4 \
- xdt-xfce.m4
+ xdt-i18n.m4
EXTRA_DIST = \
$(macro_DATA)
diff --git a/m4macros/xdt-depends.m4 b/m4macros/xdt-depends.m4
index aea8807..3c07c90 100644
--- a/m4macros/xdt-depends.m4
+++ b/m4macros/xdt-depends.m4
@@ -51,7 +51,7 @@ AC_DEFUN([XDT_PROG_PKG_CONFIG],
echo "*** pkg-config $xdt_cv_PKG_CONFIG_MIN_VERSION or newer. You can download pkg-config"
echo "*** from the freedesktop.org software repository at"
echo "***"
- echo "*** http://www.freedesktop.org/software/pkgconfig"
+ echo "*** https://www.freedesktop.org/wiki/Software/pkg-config/"
echo "***"
exit 1;
fi
@@ -64,7 +64,7 @@ AC_DEFUN([XDT_PROG_PKG_CONFIG],
echo "*** You can download pkg-config from the freedesktop.org"
echo "*** software repository at"
echo "***"
- echo "*** http://www.freedesktop.org/software/pkgconfig"
+ echo "*** https://www.freedesktop.org/wiki/Software/pkg-config/"
echo "***"
exit 1
])
diff --git a/m4macros/xdt-python.m4 b/m4macros/xdt-python.m4
deleted file mode 100644
index c0f8d44..0000000
--- a/m4macros/xdt-python.m4
+++ /dev/null
@@ -1,80 +0,0 @@
-dnl Copyright (c) 2002-2015
-dnl The Xfce development team. All rights reserved.
-dnl
-dnl Written for Xfce by Benedikt Meurer <benny at xfce.org>.
-dnl
-dnl This program is free software; you can redistribute it and/or modify
-dnl it under the terms of the GNU General Public License as published by
-dnl the Free Software Foundation; either version 2 of the License, or
-dnl (at your option) any later version.
-dnl
-dnl This program is distributed in the hope that it will be useful,
-dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
-dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-dnl GNU General Public License for more details.
-dnl
-dnl You should have received a copy of the GNU General Public License along
-dnl with this program; if not, write to the Free Software Foundation, Inc.,
-dnl 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-dnl
-dnl xdt-python
-dnl ----------
-dnl Miscellanous Python related autoconf checks. Based on prior
-dnl work by the Python community.
-dnl
-
-
-
-dnl XDT_CHECK_PYTHON_HEADERS([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
-dnl
-dnl Checks if the target system has the ability to create Python
-dnl extensions, that is, if all required Python headers are found.
-dnl Executes ACTION-IF-FOUND if all required headers are found, else
-dnl ACTION-IF-NOT-FOUND.
-dnl
-dnl In addition, this macro defines (and substitutes) PYTHON_INCLUDES
-dnl with the required C preprocessor flags to find the python headers.
-dnl
-AC_DEFUN([XDT_CHECK_PYTHON_HEADERS],
-[
- dnl check for Python interpreter first
- AC_REQUIRE([AM_PATH_PYTHON])
-
- AC_MSG_CHECKING([for headers required to compile python extensions])
-
- dnl the PYTHON_INCLUDES first
- xdt_python_PREFIX=`${PYTHON} -c "import sys; print sys.prefix"`
- xdt_python_EPREFIX=`${PYTHON} -c "import sys; print sys.exec_prefix"`
- xdt_python_OSNAME=`${PYTHON} -c "import os; print os.name"`
- case "${xdt_python_OSNAME}" in
- nt)
- xdt_python_INCLUDES="include"
- ;;
- *)
- xdt_python_INCLUDES="include/python${PYTHON_VERSION}"
- ;;
- esac
- PYTHON_INCLUDES="-I${xdt_python_PREFIX}/${xdt_python_INCLUDES}"
- if test x"${xdt_python_EPREFIX}" != x"${xdt_python_PREFIX}"; then
- PYTHON_INCLUDES="${PYTHON_INCLUDES} -I${xdt_python_EPREFIX}/${xdt_python_INCLUDES}"
- fi
- AC_SUBST([PYTHON_INCLUDES])
-
- dnl now check if the headers exists
- save_CPPFLAGS="$CPPFLAGS"
- CPPFLAGS="$CPPFLAGS ${PYTHON_INCLUDES}"
- AC_TRY_CPP([#include <Python.h>],
- [
- AC_MSG_RESULT([found])
- $1
- ],
- [
- AC_MSG_RESULT([not found])
- $2
- ])
- CPPFLAGS="$save_CPPFLAGS"
-])
-
-
-
-dnl vim:set ts=2 sw=2 et ai:
diff --git a/m4macros/xdt-xfce.m4 b/m4macros/xdt-xfce.m4
deleted file mode 100644
index ea77824..0000000
--- a/m4macros/xdt-xfce.m4
+++ /dev/null
@@ -1,61 +0,0 @@
-dnl Copyright (c) 2002-2015
-dnl The Xfce development team. All rights reserved.
-dnl
-dnl Written for Xfce by Benedikt Meurer <benny at xfce.org>.
-dnl
-dnl This program is free software; you can redistribute it and/or modify
-dnl it under the terms of the GNU General Public License as published by
-dnl the Free Software Foundation; either version 2 of the License, or
-dnl (at your option) any later version.
-dnl
-dnl This program is distributed in the hope that it will be useful,
-dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
-dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-dnl GNU General Public License for more details.
-dnl
-dnl You should have received a copy of the GNU General Public License along
-dnl with this program; if not, write to the Free Software Foundation, Inc.,
-dnl 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-dnl
-dnl xdt-xfce
-dnl --------
-dnl Xfce specific M4 macros.
-dnl
-
-
-
-dnl XDT_XFCE_PANEL_PLUGIN(varname, [version = 4.9.0])
-dnl
-dnl This macro is intended to be used by panel plugin writers. It
-dnl detects the xfce4-panel package on the target system and sets
-dnl "varname"_CFLAGS, "varname"_LIBS, "varname"_REQUIRED_VERSION
-dnl and "varname"_VERSION properly. The parameter "version"
-dnl specifies the minimum required version of xfce4-panel (defaults
-dnl to 4.9.0 if not given).
-dnl
-dnl In addition, this macro defines "varname"_PLUGINSDIR (and
-dnl marks it for substitution), which points to the directory
-dnl where the panel plugin should be installed to. You should
-dnl use this variable in your Makefile.am.
-dnl
-AC_DEFUN([XDT_XFCE_PANEL_PLUGIN],
-[
- dnl Check for the xfce4-panel package
- XDT_CHECK_PACKAGE([$1], [xfce4-panel-1.0], [m4_default([$2], [4.11.0])])
-
- dnl Check where to put the plugins to
- AC_MSG_CHECKING([where to install panel plugins])
- $1_PLUGINSDIR=$libdir/xfce4/panel-plugins
- AC_SUBST([$1_PLUGINSDIR])
- AC_MSG_RESULT([$$1_PLUGINSDIR])
-])
-
-dnl XFCE_PANEL_PLUGIN(varname, version)
-dnl
-dnl Simple wrapper for XDT_XFCE_PANEL_PLUGIN(varname, version). Kept
-dnl for backward compatibility. Will be removed in the future.
-dnl
-AC_DEFUN([XFCE_PANEL_PLUGIN],
-[
- XDT_XFCE_PANEL_PLUGIN([$1], [$2])
-])
diff --git a/scripts/Makefile.am b/scripts/Makefile.am
index cd57fe3..6e8130f 100644
--- a/scripts/Makefile.am
+++ b/scripts/Makefile.am
@@ -5,8 +5,7 @@
#
bin_SCRIPTS = \
- xdt-autogen \
- xdt-commit
+ xdt-autogen
xdt-autogen: Makefile xdt-autogen.in
rm -f xdt-autogen xdt-autogen.gen
@@ -21,7 +20,4 @@ CLEANFILES = \
DISTCLEANFILES = \
xdt-autogen.in
-EXTRA_DIST = \
- xdt-commit
-
# vi:set ts=8 sw=8 noet ai:
diff --git a/scripts/xdt-commit b/scripts/xdt-commit
deleted file mode 100755
index a660594..0000000
--- a/scripts/xdt-commit
+++ /dev/null
@@ -1,136 +0,0 @@
-#!/bin/bash
-#
-# Copyright (c) 2007-2008
-# The Xfce development team. All rights reserved.
-#
-# Written for Xfce by Jannis Pohlmann <jannis at xfce.org>.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# xdt-commit - Part of the Xfce developer tools.
-#
-
-
-##
-## Check what kind of repo we have
-##
-if [ -d .git ]; then
- repo_type=git
-elif [ -d .svn ]; then
- repo_type=svn
-else
- echo "This doesn't appear to be the root of a versioned source tree." >&2
- exit 1
-fi
-
-
-##
-## Check if needed tools are installed
-##
-if [ "$repo_type" = "git" ]; then
- if ! type git &>/dev/null; then
- echo "Git needs to be installed." >&2
- exit 1
- fi
-elif [ "$repo_type" = "svn" ]; then
- if ! type svn &> /dev/null; then
- echo "Subversion needs to be installed." >&2
- exit 1
- fi
-
- ##
- ## Check if we are in a versioned directory
- ##
- if ! svn info &> /dev/null; then
- echo "Current working directory is not versioned." >&2
- exit 1
- fi
-fi
-
-
-##
-## Files to be committed
-##
-FILES=$*
-
-
-##
-## Detect all ChangeLog's inside this directory by scanning it
-## recursively
-##
-CHANGELOGS=$(find . -type f -iname ChangeLog | sed 's:^\./::')
-
-
-##
-## Append parsed diff output of each ChangeLog to the commit message
-##
-for CHANGELOG in $CHANGELOGS; do
- # Make sure the file exists
- if [ -f "$CHANGELOG" ]; then
- if [ "$repo_type" = "svn" ]; then
- # Determine SVN status
- STATUS=$(svn status "${CHANGELOG}")
- if [ -z "$STATUS" ]; then
- STATUS='?'
- fi
- elif [ "$repo_type" = "git" ]; then
- # Determine git status, and fake it into svn-style status
- STATUS=$(git status | grep -E "(modified|new file):[[:space:]]+${CHANGELOG}")
- [ "$STATUS" ] || STATUS='?' # signal no changes or not versioned
- fi
-
- # Check if file is versioned
- if [ "$STATUS" != "?" ]; then
- # Add changelog to the commit
- if [ "$repo_type" = "git" ]; then
- git add "${CHANGELOG}"
- fi
-
- # Parse output
- if [ "$repo_type" = "svn" ]; then
- MSG=$(svn diff "${CHANGELOG}")
- elif [ "$repo_type" = "git" ]; then
- MSG=$(git diff --cached "${CHANGELOG}")
- fi
- MSG=$(echo "$MSG" | awk '/^+\t/' | sed 's/^+//')
-
- # Append to commit message (and insert newline between ChangeLogs)
- if [ -z "$COMMIT_MSG" ]; then
- COMMIT_MSG="$MSG"
- else
- COMMIT_MSG=$(echo "$COMMIT_MSG"$'\n'"$MSG")
- fi
- fi
- fi
-done
-
-
-##
-## Commit changes. If the commit message generate from the ChangeLog
-## files is empty, ask the user to enter a commit message himself
-##
-if [ -n "$COMMIT_MSG" ]; then
- if [ "$repo_type" = "svn" ]; then
- svn commit $FILES -m "$COMMIT_MSG"
- elif [ "$repo_type" = "git" ]; then
- git commit $FILES -m "$COMMIT_MSG"
- fi
-else
- if [ "$repo_type" = "svn" ]; then
- svn commit $FILES
- elif [ "$repo_type" = "git" ]; then
- git commit $FILES
- fi
-fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the Xfce4-commits
mailing list